Summary: 	KGeo Geometry
Name:   	kgeo
Version:	1.0.2
Release:	0	
Copyright:	GPL
Vendor:		Marc Bartsch <marc.bartsch@web.de>
Url:       	http://kgeo.sourceforge.net/
# Packager:	Marc Bartsch <marc.bartsch@web.de>
Packager:	Rex Dieter <rdieter@unl.edu>
Prefix:	   	/usr
Group:     	Applications/Engineering
Source:    	http://%{name}.sourceforge.net/%{name}-%{version}.KDE2.tar.gz
Patch1:		%{name}-%{version}-libtool.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel >= 2.2

%description
KGeo is a program for interactive Geometry just like programs such as 
Euklid, Zirkel und Lineal or Kseg.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

### distribution-specific KDE/QT setup
## redhat
[ -f /etc/profile.d/qt.sh ] &&  . /etc/profile.d/qt.sh
[ -f /etc/profile.d/kde.sh ] &&	. /etc/profile.d/kde.sh
## Suse
# 
#

## Fixup for goofy config... reconig/autoconf/automake madness.
touch --reference=configure.in.in subdirs

# fix libtool's --link + --tag=CXX
%patch1 -p1
# Fixup english docs
#patch2 -p1

# Nuke libtoolize
%define __libtoolize :

%configure --disable-debug

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-check-new -fno-rtti -fno-exceptions"

%install

##makeinstall
make install-strip DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/*
%{_datadir}/applnk/*/*
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*.png
%docdir %{_docdir}/*/*

%changelog
* Wed Oct 24 2001 Rex Dieter <rdieter@unl.edu> 1.0.2-0
- update to 1.0.2-0
- don't use auto filefind.
- PreReq kdelibs-2.2

* Thu Oct 11 2001 Rex Dieter <rdieter@unl.edu> -2
- undo %%find_lang

* Thu Oct 11 2001 Rex Dieter <rdieter@unl.edu> 1.0.1-1
- fix config...reconfig/autoconf madness.
- libtool patch: undo --link + tag=CXX 
- en doc patch: missed symlinks to pics,toolbars
- BuildRequires: kdelibs-devel

* Sat Sep 21 2001 Rex Dieter <rdieter@unl.edu> 1.0.1-0
- first try at 1.0.1
